Bug 1217523 - [RFE] Request for the support of mirrorlists for rpm repository feeds
Summary: [RFE] Request for the support of mirrorlists for rpm repository feeds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: Nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Brad Buckingham
URL:
Whiteboard:
: 1174387 (view as bug list)
Depends On: 869370
Blocks: 1171330 1175448
TreeView+ depends on / blocked
 
Reported: 2015-04-30 14:54 UTC by Chris Roberts
Modified: 2021-04-06 18:31 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 869370
Environment:
Last Closed: 2018-02-21 12:29:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 175 0 High CLOSED - CURRENTRELEASE As a user, I can specify mirrorlists for rpm repository feeds 2016-02-08 19:01:26 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Chris Roberts 2015-04-30 14:54:47 UTC
+++ This bug was initially created as a clone of Bug #869370 +++

Description of problem:
Currently the rpm repository create --feed does not support mirrorlist urls, which are commonplace in yum.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use mirrorlist as --feed url
2.
3.
  
Actual results:
repository is created, but broken.

Expected results:
pulp repository is able to mirror from any url delivered via mirrorlist. 

Additional info:

--- Additional comment from Brian Bouterse on 2015-02-18 19:48:51 EST ---

Moved to https://pulp.plan.io/issues/175

Comment 1 RHEL Program Management 2015-04-30 15:03:15 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 2 pulp-infra@redhat.com 2015-04-30 19:01:16 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2015-04-30 19:01:18 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2015-05-07 18:30:46 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2015-05-11 15:00:50 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2015-05-26 15:04:00 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 8 Bryan Kearney 2015-05-27 17:05:14 UTC
*** Bug 1174387 has been marked as a duplicate of this bug. ***

Comment 9 pulp-infra@redhat.com 2015-06-11 01:00:51 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2015-06-15 21:01:01 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 11 Bryan Kearney 2016-01-04 18:54:47 UTC
Pulp supports this since 2.7. I am moving this to content management to get it implemented on the katello side.

Comment 12 pulp-infra@redhat.com 2016-02-08 19:01:27 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 13 Bryan Kearney 2016-07-08 20:26:14 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 16 Brad Buckingham 2016-11-21 18:25:23 UTC
Created redmine issue http://projects.theforeman.org/issues/17428 from this bug

Comment 17 pulp-infra@redhat.com 2016-12-05 21:34:11 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 18 Brad Buckingham 2017-08-30 13:34:42 UTC
Verified with Satellite 6.3 SNAP 13 : satellite-6.3.0-16.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.4-1.el7sat.noarch

- created a repository using a mirror - e.g. http://mirror.mojohost.com/centos/7/os/x86_64/
- successfully synced the repo

Comment 21 errata-xmlrpc 2018-02-21 12:29:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.